// ***************************************
// Plugin Autosize Static control 
// for SourceBoost IDE
// 
// Author(s): David Hobday
//
// Copyright (C) 2003-2004 Pavel Baranov
// Copyright (C) 2003-2004 David Hobday
// 
// This code may be freely used to develop
// Plugins for the SourceBoost IDE
// ***************************************

#include "stdafx.h"

#include "StaticAutoSize.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStaticAutoSize

CStaticAutoSize::CStaticAutoSize()
{
	m_child = NULL;
}

CStaticAutoSize::~CStaticAutoSize()
{
}

void CStaticAutoSize::SetChild( CWnd* child )
{
	m_child = child;
}




BEGIN_MESSAGE_MAP(CStaticAutoSize, CStatic)
	//{{AFX_MSG_MAP(CStaticAutoSize)
	ON_WM_SIZE()
	ON_WM_MOUSEACTIVATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStaticAutoSize message handlers

void CStaticAutoSize::OnSize(UINT nType, int cx, int cy) 
{
	if ( m_child )
		m_child->MoveWindow( 0, 0, cx, cy );

	CStatic::OnSize(nType, cx, cy);
}

int CStaticAutoSize::OnMouseActivate(CWnd* pDesktopWnd, UINT nHitTest, UINT message) 
{
	// pass on activation message or our CFormView derived 
	// window can get stuck behind other plugins 	
	return MA_ACTIVATE;
}
